import json
import setuptools

kwargs = json.loads("""
{
    "name": "devax.s3-lambda-s3",
    "version": "0.1.3",
    "description": "s3-lambda-s3",
    "license": "Apache-2.0",
    "url": "https://github.com/am29d/devax.s3-lambda-s3",
    "long_description_content_type": "text/markdown",
    "author": "Alex Melnyk",
    "project_urls": {
        "Source": "https://github.com/am29d/devax.s3-lambda-s3"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "devax.s3_lambda_s3",
        "devax.s3_lambda_s3._jsii"
    ],
    "package_data": {
        "devax.s3_lambda_s3._jsii": [
            "s3-lambda-s3@0.1.3.jsii.tgz"
        ],
        "devax.s3_lambda_s3": [
            "py.typed"
        ]
    },
    "python_requires": ">=3.6",
    "install_requires": [
        "jsii>=1.10.0, <2.0.0",
        "publication>=0.0.3",
        "aws-cdk.aws-lambda==1.58.0",
        "aws-cdk.aws-lambda-event-sources==1.58.0",
        "aws-cdk.aws-s3==1.58.0",
        "aws-cdk.core==1.58.0",
        "constructs==3.0.4"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Typing :: Typed",
        "License :: OSI Approved"
    ]
}
""")

with open('README.md') as fp:
    kwargs['long_description'] = fp.read()


setuptools.setup(**kwargs)
